<?= $this->headScript()
		->appendFile(_st('photos.js'), 'text/javascript')
		->appendScript('Cubix.Photos.container = "container_thumbs"');
?>

<?php if( $photos = $this->photos ): ?>
	<?php $per_row = 3; ?>
	<?php foreach($photos as $k => $photo): ?>
    	<?php if (0 == $k % $per_row): ?>
    		<?= (0 != $k)? '</div>' : '' ?>
    		<div class='line-small'>
		<?php endif; ?>
        
	    <div class="thumb">
	    	<?php if ( $photo->status == Model_Escort_Photos::STATUS_VERIFIED): ?>
	    	<div class="p100-small"></div>
	    	<?php endif;?>
	    	<span class="plus"><img src="<?= _st('icon_plus.gif') ?>" alt="" /></span>
	        <a class="highslide" onclick="return hs.expand(this)" href="<?= $photo->getUrl('orig'); ?>">
	        	<img src="<?= $photo->getUrl('sthumb'); ?>" alt="" height="103" width="76" />
	        </a>
	    </div>
	<?php endforeach; ?>
	</div>
	<?php $pages_count = ceil($this->photos_count / $this->photos_perPage); ?>
	<?php if($pages_count != 1): ?>	
	<div class="paging-detail">
		<?  $pages = $this->paging($this->photos_count, $this->photos_page, $this->photos_perPage); ?>
		<? if ( 1 < $this->photos_page): ?>
			<div class="paging-left"><a href="#" onclick="return Cubix.Photos.Load('<?= $this->lang() ?>', <?= ($this->photos_page - 1) ?>, <?= $this->escort_id ?>);"><img alt="" src="<?= _st('btn_prev.gif') ?>"/></a></div>
		<? endif ?>
		
		<div class="paging-middle">
		<? foreach ( $pages as $page ): ?>	
			<? if ( $this->photos_page == $page ): ?>
				<span ><?= $page ?></span>
			<? else: ?>
				<a href="#" onclick="return Cubix.Photos.Load('<?= $this->lang() ?>', <?= $page ?>, <?= $this->escort_id ?>);"><?= $page ?></a>
			<? endif ?>	
		<? endforeach ?>
		</div>
		
		<? if ( $pages_count > $this->photos_page): ?>
			<div class="paging-right"><a href="#" onclick="return Cubix.Photos.Load('<?= $this->lang() ?>', <?= ($this->photos_page + 1) ?>, <?= $this->escort_id ?>);"><img alt="" src="<?= _st('btn_next.gif') ?>"/></a></div>
		<? endif ?>
	</div>
	<?php endif;?>

<?php endif; ?>